const i18nEnglish = {
  'done': 'Done',
  'hide': 'Hide',
  'okay': 'Okay',
  'next': 'Next',
  'reset': 'Reset',
  'page': 'Page',
  'home': 'Home',
  'guest': 'Guest',
  'draft': 'Draft',
  'draftSave': 'Save',
  'draftBox': 'Draft Box',
  'more': 'More',
  'share': 'Share',
  'shareNoUri': 'Share text content',
  'alias': 'Alias',
  'feed': 'Feed',
  'unlink': 'Unlink',
  'feedSearch': 'Search Feed',
  'feedSearchWithTag': 'Searching with tag #@key',
  'feedSearchWithCategory': 'Searching in category @category',
  'visitProfilePage': 'Visit Profile Page',
  'profilePosts': 'Posts',
  'profileAlbum': 'Album',
  'chat': 'Chat',
  'apply': 'Apply',
  'cancel': 'Cancel',
  'confirm': 'Confirm',
  'leave': 'Leave',
  'loading': 'Loading...',
  'about': 'About',
  'edit': 'Edit',
  'delete': 'Delete',
  'settings': 'Settings',
  'search': 'Search',
  'post': 'Post',
  'article': 'Article',
  'reply': 'Reply',
  'repost': 'Repost',
  'openInAlbum': 'Open in album',
  'openInBrowser': 'Open in browser',
  'notification': 'Notification',
  'errorHappened': 'An error occurred',
  'errorHappenedUnauthorized':
      'Unauthorized request, please sign in or try resign in.',
  'forgotPassword': 'Forgot password',
  'email': 'Email',
  'username': 'Username',
  'nickname': 'Nickname',
  'password': 'Password',
  'title': 'Title',
  'description': 'Description',
  'birthday': 'Birthday',
  'firstName': 'First Name',
  'lastName': 'Last Name',
  'account': 'Account',
  'accountPersonalize': 'Personalize',
  'accountPersonalizeApplied': 'Account personalize settings has been saved.',
  'accountStickers': 'Stickers',
  'accountFriend': 'Friend',
  'accountFriendNew': 'New friend',
  'accountFriendNewHint':
      'Use someone\'s username to send a request of making friends with them!',
  'accountFriendPending': 'Friend requests',
  'accountFriendBlocked': 'Friend blocklist',
  'accountFriendListHint': 'Swipe left to decline, right to approve',
  'accountFriendRequestSent': 'Friend request sent, waiting for processing...',
  'accountSuspended': 'Account was suspended',
  'accountSuspendedAt': 'Account was suspended since @date',
  'aspectRatio': 'Aspect Ratio',
  'aspectRatioSquare': 'Square',
  'aspectRatioPortrait': 'Portrait',
  'aspectRatioLandscape': 'Landscape',
  'unsignedIn': 'Unsigned in',
  'signin': 'Sign in',
  'signinRequired': 'Sign in',
  'signinRequiredHint': 'Sign in to get full access of Solar Network',
  'signinGreeting': 'Welcome back\nSolar Network',
  'signinCaption':
      'Sign in to create post, start a realm, message your friend and more!',
  'signinRiskDetected':
      'Risk detected, click Next to open a webpage and signin through it to pass security check.',
  'signinResetPasswordHint': 'Please enter username to request reset password.',
  'signinResetPasswordSent': 'Reset password request sent, check your inbox!',
  'signup': 'Sign up',
  'signupGreeting': 'Welcome onboard',
  'signupCaption':
      'Create an account on Solarpass and then get the access of entire Solar Network!',
  'signupDone': 'Sign up successfully.',
  'signupDoneCaption':
      'You successfully created an account on Solar Network. Now go sign in!',
  'signout': 'Sign out',
  'joinedAt': 'Joined at @date',
  'riskDetection': 'Risk Detected',
  'matureContent': 'Mature Content',
  'matureContentCaption':
      'The content is rated and may not suitable for everyone to view',
  'notifyAllRead': 'Mark all as read',
  'notifyEmpty': 'All notifications read',
  'notifyEmptyCaption': 'It seems like nothing happened recently',
  'totalSocialCreditPoints': 'Social Credit Points',
  'totalPostCount': 'Posts',
  'totalUpvote': 'Upvote',
  'totalDownvote': 'Downvote',
  'clear': 'Clear',
  'pinPost': 'Pin this post',
  'unpinPost': 'Unpin this post',
  'postRestoreFromLocal': 'Restore from local',
  'postAutoSaveAt': 'Auto saved at @date',
  'postCategoriesAndTags': 'Categories n\' Tags',
  'postPublishDate': 'Publish Date',
  'postPublishAt': 'Publish At',
  'postPublishedUntil': 'Publish Until',
  'postPublishZone': 'Publish Zone',
  'postPublishZoneNone': 'None',
  'postVisibility': 'Visibility',
  'postVisibilityAll': 'Everyone',
  'postVisibilityFriends': 'Friends',
  'postVisibilitySelected': 'Selected visible',
  'postVisibilityFiltered': 'Selected invisible',
  'postVisibilityNone': 'Only me',
  'postVisibleUsers': 'Visible users',
  'postInvisibleUsers': 'Invisible users',
  'postOverview': 'Overview',
  'postThumbnail': 'Thumbnail',
  'postThumbnailAttachmentNew': 'Upload thumbnail',
  'postThumbnailAttachment': 'Attachment serial number',
  'postPinned': 'Pinned',
  'postListNews': 'News',
  'postListFriends': 'Friends',
  'postListShuffle': 'Random',
  'postEditorModeStory': 'Post a post',
  'postEditorModeArticle': 'Post an article',
  'postEditor': 'Post editor',
  'articleEditor': 'Create new article',
  'articleDetail': 'Article details',
  'draftBoxOpen': 'Open draft box',
  'postNew': 'Create a new post',
  'postNewInRealmHint': 'Add post in realm @realm',
  'postAction': 'Post',
  'postEdited': 'Edited at @date',
  'postNewCreated': 'Created at @date',
  'attachmentHint': '@count attachment(s)',
  'postInRealm': 'In @realm',
  'postDetail': 'Post',
  'postReplies': 'Replies',
  'postPublish': 'Post a post',
  'articlePublish': 'Write an article',
  'articleTitlePlaceholder': 'Title',
  'articleDescriptionPlaceholder': 'Description',
  'articleContentPlaceholder': 'Content',
  'postIdentityNotify': 'You will post this post as',
  'postContentPlaceholder': 'What\'s happened?!',
  'postTagsPlaceholder': 'Tags',
  'postReaction': 'Reactions of the Post',
  'postActionList': 'Actions of Post',
  'postReplyAction': 'Make a reply',
  'postRepliedNotify': 'Replied a post from @username.',
  'postRepostedNotify': 'Reposted a post from @username.',
  'postInRealmNotify': 'You\'re posting in realm @realm.',
  'postEditingNotify': 'You\'re editing as post from you.',
  'postReplyingNotify': 'You\'re replying a post from @username.',
  'postRepostingNotify': 'You\'re reposting a post from @username.',
  'postDeletionConfirm': 'Confirm post deletion',
  'postDeletionConfirmCaption':
      'Are your sure to delete post "@content"? This action cannot be undone!',
  'reactAdd': 'React',
  'reactCompleted': 'Your reaction has been added',
  'reactUncompleted': 'Your reaction has been removed',
  'attachmentUploadBy': 'Upload by',
  'attachmentAutoUpload': 'Auto Upload',
  'attachmentUploadQueue': 'Upload Queue',
  'attachmentUploadQueueStart': 'Start All',
  'attachmentUploadInProgress':
      'There are attachments being uploaded. Please wait until all attachments have been uploaded before proceeding...',
  'attachmentAttached': 'Exists Files',
  'attachmentUploadBlocked':
      'Upload blocked, there is currently a task in progress...',
  'attachmentAdd': 'Attach file',
  'attachmentAddGalleryPhoto': 'Gallery photo',
  'attachmentAddGalleryVideo': 'Gallery video',
  'attachmentAddCameraPhoto': 'Capture photo',
  'attachmentAddCameraVideo': 'Capture video',
  'attachmentAddClipboard': 'Paste file',
  'attachmentAddFile': 'Attach file',
  'attachmentAddLink': 'Link attachments',
  'attachmentAddLinkHint':
      'Enter attachment serial number to link that attachment',
  'attachmentAddLinkInput': 'Serial number',
  'attachmentSetting': 'Adjust attachment',
  'attachmentAlt': 'Alternative text',
  'attachmentLoadFailed': 'Load Attachment Failed',
  'attachmentLoadFailedCaption':
      'Something went wrong during loading the attachment metadata...',
  'attachmentUploading': 'Uploading @name...',
  'attachmentUploadingWebMode':
      'Uploading @name... Due to browser\'s limitation, calculate attachment information may cause some lag...',
  'realm': 'Realm',
  'realms': 'Realms',
  'realmOrganizing': 'Organize a realm',
  'realmAlias': 'Alias (Identifier)',
  'realmName': 'Name',
  'realmDescription': 'Description',
  'realmPublic': 'Public Realm',
  'realmCommunity': 'Community Realm',
  'realmDetail': 'Realm detail',
  'realmMember': 'Realm member',
  'realmMembers': 'Realm members',
  'realmMembersAdd': 'Add realm members',
  'realmMembersAddHint': 'Into @realm',
  'realmAdjust': 'Realm adjustment',
  'realmSettings': 'Realm settings',
  'realmEditingNotify': 'You\'re editing realm @realm',
  'realmLeaveConfirm': 'Confirm realm quit',
  'realmLeaveConfirmCaption':
      'Are you sure you want leave realm @realm? Your content published in this realm will not be deleted.',
  'realmDeletionConfirm': 'Confirm realm deletion',
  'realmDeletionConfirmCaption':
      'Are you sure to delete realm @realm? This action cannot be undone!',
  'channels': 'Channels',
  'channelNew': 'Create a new channel',
  'channelNewInRealmHint': 'Create channel in realm @realm',
  'channelOrganizing': 'Organize a channel',
  'channelOrganizeCommon': 'Create regular channel',
  'channelOrganizeDirect': 'Create DM',
  'channelOrganizeDirectHint': 'Choose friend to create DM',
  'channelInRealmNotify': 'You\'re creating channel in realm @realm',
  'channelEditingNotify': 'You\'re editing channel @channel',
  'channelAlias': 'Alias (Identifier)',
  'channelName': 'Name',
  'channelDescription': 'Description',
  'channelDirectDescription': 'Direct message with @username',
  'channelEncrypted': 'Encrypted Channel',
  'channelMember': 'Channel member',
  'channelMembers': 'Channel members',
  'channelMembersAdd': 'Add channel members',
  'channelMembersAddHint': 'Into @channel',
  'channelType': 'Channel type',
  'channelTypeCommon': 'Regular',
  'channelTypeDirect': 'DM',
  'channelAdjust': 'Channel adjustment',
  'channelDetail': 'Channel detail',
  'channelSettings': 'Channel settings',
  'channelLeaveConfirm': 'Confirm channel quit',
  'channelLeaveConfirmCaption':
      'Are you sure to leave channel @channel? All your messages will be deleted!',
  'channelDeletionConfirm': 'Confirm channel deletion',
  'channelDeletionConfirmCaption':
      'Are you sure to delete channel @channel? This action cannot be undone!',
  'channelCategoryDirect': 'DM',
  'channelCategoryDirectHint': 'Your direct messages',
  'channelNotifyLevel': 'Notify level',
  'channelNotifyLevelAll': 'All',
  'channelNotifyLevelMentioned': 'Only mentioned',
  'channelNotifyLevelNone': 'Ignore all',
  'channelNotifyLevelApplied': 'Your notification settings has been applied.',
  'messageUnSync': 'Messages Un-synced',
  'messageUnSyncCaption': '@count message(s) still in un-synced.',
  'messageSending': 'Sending...',
  'messageEditDesc': 'Edited message @id',
  'messageDeleteDesc': 'Deleted message @id',
  'messageCallStartDesc': '@user starts a call',
  'messageCallEndDesc': 'Call last for @duration',
  'messageTypeUnsupported': 'Unsupported Message: @type',
  'messageInputPlaceholder': 'Message @channel',
  'messageActionList': 'Actions of Message',
  'messageDeletionConfirm': 'Confirm message deletion',
  'messageDeletionConfirmCaption':
      'Are your sure to delete message @id? This action cannot be undone!',
  'call': 'Call',
  'callOngoing': 'A call is ongoing...',
  'callOngoingEmpty': 'A call is on hold...',
  'callOngoingParticipants': '@count people are calling...',
  'callOngoingJoined': 'Call last @duration',
  'callJoin': 'Join',
  'callResume': 'Resume',
  'callMicrophone': 'Microphone',
  'callMicrophoneDisabled': 'Microphone Disabled',
  'callMicrophoneSelect': 'Select Microphone',
  'callCamera': 'Camera',
  'callCameraDisabled': 'Camera Disabled',
  'callCameraSelect': 'Select Camera',
  'callSpeakerSelect': 'Select Speaker',
  'callDisconnected': 'Call Disconnected... @reason',
  'callMicrophoneOn': 'Turn Microphone On',
  'callMicrophoneOff': 'Turn Microphone Off',
  'callCameraOn': 'Turn Camera On',
  'callCameraOff': 'Turn Camera Off',
  'callVideoFlip': 'Flip Video Input',
  'callSpeakerphoneToggle': 'Toggle Speakerphone Mode',
  'callScreenOn': 'Start Screen Sharing',
  'callScreenOff': 'Stop Screen Sharing',
  'callDisconnect': 'Disconnect',
  'callDisconnectCaption':
      'Are you sure you want to disconnect from this call? You can also just return to the page, and the call will continue in the background.',
  'callParticipantAction': 'Participant Actions',
  'callParticipantMicrophoneOff': 'Mute Participant',
  'callParticipantMicrophoneOn': 'Unmute Participant',
  'callParticipantVideoOff': 'Turn Off Participant Video',
  'callParticipantVideoOn': 'Turn On Participant Video',
  'callAlreadyOngoing': 'A call is already ongoing',
  'badge': 'Badge',
  'badges': 'Badges',
  'badgeGrantAt': 'Badge awarded on @date',
  'badgeSolsynthStaff': 'Solsynth Staff',
  'badgeSolarOriginalCitizen': 'Solar Network Natives',
  'badgeGreatCommunityContributor': 'Great Community Contributor',
  'pushNotifyRegister': 'Register Push Notification Device',
  'pushNotifyRegisterCaption':
      'Activating push notifications allows you to get our latest notifications even when the app is completely closed. We use Apple\'s official push service on iOS/macOS devices; other devices provide push notifications through Google Firebase. To register a device for push notifications, you may need to connect to Google\'s servers and install the Google Framework on your device. Although you dismiss this dialog, this registration will be auto performed when you next time launch the app.',
  'pushNotifyRegisterDone': 'Push notifications has been activated.',
  'pushNotifyRegisterFailed': 'Unable to active push notification... @reason',
  'accountChangeStatus': 'Change Status',
  'accountCustomStatus': 'Set Custom Status',
  'accountClearStatus': 'Clear Status',
  'accountStatusOnline': 'Online',
  'accountStatusSilent': 'Do not Disturb',
  'accountStatusSilentDesc': 'The notification will stop popping up',
  'accountStatusInvisible': 'Invisible',
  'accountStatusInvisibleDesc':
      'Will show as offline, but all features still remain normal',
  'accountStatusOffline': 'Offline',
  'accountLastSeenAt': '@date ago online',
  'accountStatusLabel': 'Status Text',
  'accountStatusClearAt': 'Clear At',
  'accountStatusNegative': 'Negative',
  'accountStatusNeutral': 'Neutral',
  'accountStatusPositive': 'Positive',
  'bsLoadingTheme': 'Loading Theme',
  'bsCheckForUpdate': 'Checking For Updates',
  'bsCheckForUpdateFailed': 'Unable to Check Updates',
  'bsCheckForUpdateNew': 'Found New Version',
  'bsCheckForUpdateDescApple':
      'Please head to TestFlight and update your app to latest version to prevent error happens and get latest functions.',
  'bsCheckForUpdateDescCommon':
      'Please head to our website download and install latest version of application to prevent error happens and get latest functions.',
  'bsCheckingServer': 'Checking Server Status',
  'bsCheckingServerFail':
      'Unable connect to server, check your network connection',
  'bsCheckingServerDown': 'Server currently unavailable, please retry later',
  'bsAuthorizing': 'Authorizing',
  'bsEstablishingConn': 'Establishing Connection',
  'bsPreparingData': 'Preparing User Data',
  'bsRegisteringPushNotify': 'Enabling Push Notifications',
  'bsDismissibleErrorHint': 'Click anywhere to ignore this error',
  'postShareContent':
      '@content\n\n@username on the Solar Network\nCheck it out: @link',
  'postShareSubject': '@username posted a post on the Solar Network',
  'themeColor': 'Global Theme Color',
  'themeColorRed': 'Modern Red',
  'themeColorBlue': 'Classic Blue',
  'themeColorMiku': 'Miku Blue',
  'themeColorKagamine': 'Kagamine Yellow',
  'themeColorLuka': 'Luka Pink',
  'stickerDeletionConfirm': 'Confirm sticker delete',
  'stickerDeletionConfirmCaption':
      'Are you sure to delete sticker @name? This action cannot be undo.',
  'themeColorApplied': 'Global theme color has been applied.',
  'attachmentSaved': 'Attachment saved to your system album.',
  'cropImage': 'Crop Image',
  'stickerUploader': 'Upload sticker',
  'stickerUploaderAttachmentNew': 'Upload sticker',
  'stickerUploaderAttachment': 'Attachment serial number',
  'stickerUploaderPack': 'Sticker pack serial number',
  'stickerUploaderPackHint':
      'Don\'t have pack id? Head to creator platform and create one!',
  'stickerUploaderAlias': 'Alias',
  'stickerUploaderAliasHint':
      'Will be used as a placeholder with the sticker pack prefix when entered.',
  'stickerUploaderName': 'Name',
  'stickerUploaderNameHint':
      'A human-friendly name given to the user in the sticker selection interface.',
  'readMore': 'Read more',
  'attachmentUnload': 'Not Loaded',
  'attachmentUnloadCaption':
      'In order to save traffic, this attachment is not loaded automatically. Click it to start loading.',
  'callStatusConnected': 'Connected',
  'callStatusDisconnected': 'Disconnected',
  'callStatusConnecting': 'Connecting',
  'callStatusReconnected': 'Reconnecting',
  'messageOutOfSync': 'May Out of Sync with Server',
  'messageOutOfSyncCaption':
      'Since the App has entered the background, there may be a time difference between the message list and the server. Click to Refresh.',
  'messageHistoryWipe': 'Wipe local message history',
  'unknown': 'Unknown',
  'collapse': 'Collapse',
  'expand': 'Expand',
};
